# GET /UsersGroups/{usersGroupId}/DefaultWorkApps

## GET /api/v1/UsersGroups/{usersGroupId}/DefaultWorkApps

> Lists default work apps associated with a users group.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"DefaultWorkAppListViewModelV1":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DefaultWorkAppViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"DefaultWorkAppViewModelV1":{"required":["workApp"],"type":"object","properties":{"workApp":{"allOf":[{"$ref":"#/components/schemas/WorkAppSimplifiedViewModelV1"}],"description":"Work app that is set as default for the users group."},"permissionLevel":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelViewModelV1"}],"description":"Permission level to assign to users in the group for the default work app.","nullable":true}},"additionalProperties":false,"description":"Users group default work app configuration, including the default permission level."},"WorkAppSimplifiedViewModelV1":{"required":["id","name","statusName"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the work app.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Name of the work app."},"statusId":{"type":"integer","description":"Identifier of the work app's status.","format":"int32"},"statusName":{"allOf":[{"$ref":"#/components/schemas/WorkAppSimplifiedViewModelV1StatusName"}],"description":"Name of the work app's status."}},"additionalProperties":false,"description":"Basic information about a work app, including its ID, name, and status."},"WorkAppSimplifiedViewModelV1StatusName":{"enum":["Managed","Archived","Archiving","Requested","Rejected","Discovered","Restricted","Accepted","Ignored"],"type":"string"},"PermissionLevelViewModelV1":{"required":["description","id","name"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the permission level.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Name of the permission level."},"description":{"minLength":1,"type":"string","description":"Description of what this permission level allows."},"isDefault":{"type":"boolean","description":"Indicates whether this is the default permission level for the work app."},"isPrivileged":{"type":"boolean","description":"Indicates whether this permission level is considered privileged."}},"additionalProperties":false,"description":"Permission level configuration for a work app, including default and privilege flags."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/UsersGroups/{usersGroupId}/DefaultWorkApps":{"get":{"tags":["UsersGroups"],"summary":"Lists default work apps associated with a users group.","parameters":[{"name":"usersGroupId","in":"path","description":"The users group ID.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"Optional pagination cursor for fetching the next page of results.\nRefer to the pagination section in the documentation for usage details.","schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/DefaultWorkAppListViewModelV1"}},"application/json":{"schema":{"$ref":"#/components/schemas/DefaultWorkAppListViewModelV1"}},"text/json":{"schema":{"$ref":"#/components/schemas/DefaultWorkAppListViewModelV1"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```
